Skip to main content

Endpoint

POST /v3/universal-ai (sync) Model string pattern: text/ai_detection/{provider}[/{model}]

Input

FieldTypeRequiredDescription
textstringYesText to analyze for AI detection

Output

FieldTypeRequiredDescription
ai_scorefloatYes
itemsarray[object]No
    textstringYes
    predictionstringYes
    ai_scorefloatYes
    ai_score_detailfloatYes

Available Providers

ProviderModel StringPrice
saplingtext/ai_detection/sapling$5 per 1,000,000 chars
winstonaitext/ai_detection/winstonai$14 per 1,000,000 chars

Quick Start

import requests

url = "https://api.edenai.run/v3/universal-ai"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}

payload = {
    "model": "text/ai_detection/sapling",
    "input": {
        "text": "The quick brown fox jumps over the lazy dog."
    }
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())